Summary:	Library implementing the jitter entropy source
Name:		jitterentropy
Version:	3.0.2
Release:	1
License:	BSD or GPL v2+
Group:		Libraries
Source0:	http://www.chronox.de/jent/%{name}-library-%{version}.tar.xz
# Source0-md5:	f09160fa89953444bdb73a071abf8484
URL:		http://www.chronox.de/jent.html
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Jitter RNG provides a noise source using the CPU execution timing
jitter. It does not depend on any system resource other than a
high-resolution time stamp. It is a small-scale, yet fast entropy
source that is viable in almost all environments and on a lot of CPU
architectures.

%package devel
Summary:	Header files for jitterentropy library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for jitterentropy library.

%package static
Summary:	Static jitterentropy library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static jitterentropy library.

%prep
%setup -q -n %{name}-library-%{version}

%build
export LDFLAGS="%{rpmldflags} -lpthread"
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -fPIC -O0"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-static \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_lib}" \
	INSTALL_STRIP=install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES.md COPYING COPYING.bsd COPYING.gplv2 README.md
%attr(755,root,root) %{_libdir}/libjitterentropy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjitterentropy.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjitterentropy.so
%{_includedir}/jitterentropy.h
%{_includedir}/jitterentropy-base-user.h
%{_mandir}/man3/jitterentropy.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libjitterentropy.a
%changelog
* Thu May 06 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jitterentropy.git;a=log;h=master

* Thu May 06 2021 Jan Palus <atler@pld-linux.org> fa5b98f
- don't strip debug symbols

* Thu May 06 2021 Jan Palus <atler@pld-linux.org> 50fe370
- enforce -fPIC and fix LIBDIR

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> f87ec48
- new

